package com.kmall.admin.service.mk.dist;

import com.kmall.admin.entity.mk.dist.MkDistChnlEntity;

import java.util.List;
import java.util.Map;

/**
 * 分销渠道Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-09 18:04:47
 */
public interface MkDistChnlService {

    /**
     * 根据主键查询实体
     *
     * @param distChnlId 主键
     * @return 实体
     */
    MkDistChnlEntity queryObject(Integer distChnlId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkDistChnlEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkDistChnl 实体
     * @return 保存条数
     */
    int save(MkDistChnlEntity mkDistChnl);

    /**
     * 根据主键更新实体
     *
     * @param mkDistChnl 实体
     * @return 更新条数
     */
    int update(MkDistChnlEntity mkDistChnl);

    /**
     * 根据主键删除
     *
     * @param distChnlId
     * @return 删除条数
     */
    int delete(Integer distChnlId);

    /**
     * 根据主键批量删除
     *
     * @param distChnlIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] distChnlIds);
}
